/*
 * Copyright (c) 2019 gematik - Gesellschaft für Telematikanwendungen der Gesundheitskarte mbH
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.gematik.ti.sgd.domain.json;

import com.fasterxml.jackson.annotation.JsonProperty;

public enum SgdResponseStatus {
    @JsonProperty("OK")
    OK,
    @JsonProperty("decryption FAIL")
    DECRYPTION_FAIL,
    @JsonProperty("certificate not valid")
    CERTIFICATE_NOT_VALID,
    @JsonProperty("signature not valid")
    SIGNATURE_NOT_VALID,
    @JsonProperty("request not valid")
    MISSING_DATA,
    @JsonProperty("request not valid")
    TOO_MUCH_DATA,
    @JsonProperty("request not valid")
    PUBLIC_KEY_CORRUPTED,
    @JsonProperty("decryption FAIL")
    KEY_DERIVATION_FAIL,
    @JsonProperty("request not valid")
    INTERNAL_SERVER_ERROR
}
