/*
 * Copyright (c) 2019 gematik - Gesellschaft für Telematikanwendungen der Gesundheitskarte mbH
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package de.gematik.ti.sgd.exceptions.server;

import de.gematik.ti.sgd.domain.json.SgdResponseStatus;

public class ServerInvalidCertificateException extends SgdServerException {
    public ServerInvalidCertificateException(String message, Exception e) {
        super(message, e, SgdResponseStatus.CERTIFICATE_NOT_VALID);
    }

    public ServerInvalidCertificateException(Exception e) {
        super(SgdResponseStatus.CERTIFICATE_NOT_VALID, e);
    }
}
